/*
 * CampoDependienteMenoraUnaFecha.java
 *
 * Created on 23 de marzo de 2007, 07:52 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author jlozanop
 */
public class CampoDependienteMenoraUnaFecha extends AbstractRule {

	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.

	/** Creates a new instance of CampoVacio */
	public CampoDependienteMenoraUnaFecha() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (codigoNovedad.equals((String) getParams()[1])) {
			String fechaOtra = (String) getParams()[2];
			if (field.length() != 10 || fechaOtra.length() != 10) {
				return false;
			}
			if (!ValidarFecha.esFecha(field))
				return false;
			Date dateCampo = null;
			Date dateOtra = null;
			try {
				dateCampo = sdf.parse(field);
				dateOtra = sdf.parse(fechaOtra);
			} catch (Exception e) {
				return false;
			}

			if (dateOtra.after(dateCampo)) {
				return true;
			}
		}
		return false;
	}
}